package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 企业配置信息
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 12:52:44.095
 * @Modify      :
 **/
@Data
@Entity
@Table(name="ENTERPRISE_CONFIG")
@DynamicInsert
@DynamicUpdate
@Api(value="企业配置信息",description = "企业配置信息")
public class EnterpriseConfig extends BaseBean {

 
    @Column(name="ENTERPRISE_ID")
    @ApiParam(value ="企业id")
    private String enterpriseId;
 
    @Column(name="NAME")
    @ApiParam(value ="配置名称")
    private String name;
 
    @Column(name="CONFIG_TYPE_ID")
    @ApiParam(value ="配置类型")
    private Integer configTypeId;
 
    @Column(name="CONFIG_PARENT_ID")
    @ApiParam(value ="配置父节点")
    private String configParentId;
 
    @Column(name="CONFIG_KEY")
    @ApiParam(value ="配置代码")
    private String configKey;
 
    @Column(name="CONFIG_VALUE")
    @ApiParam(value ="配置值")
    private String configValue;
 
    @Column(name="CONFIG_DESCRIPTION")
    @ApiParam(value ="配置说明")
    private String configDescription;

}
