package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 系统功能
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 12:52:45.196
 * @Modify      :
 **/
@Data
@Entity
@Table(name="SYS_MENU")
@DynamicInsert
@DynamicUpdate
@Api(value="系统功能",description = "系统功能")
public class SysMenu extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="功能名称")
    private String name;
 
    @Column(name="MENU_TYPE_ID")
    @ApiParam(value ="功能类型（1.模块，2.菜单，3.按钮）")
    private Integer menuTypeId;
 
    @Column(name="RED_MENU_TYPE_NAME")
    @ApiParam(value ="功能类型名称")
    private String redMenuTypeName;
 
    @Column(name="PARENT_ID")
    @ApiParam(value ="父级功能ID")
    private String parentId;
 
    @Column(name="RED_PARENT_NAME")
    @ApiParam(value ="父级功能名称")
    private String redParentName;
 
    @Column(name="MENU_CLASS_PATH")
    @ApiParam(value ="资源class path")
    private String menuClassPath;
 
    @Column(name="MENU_URL")
    @ApiParam(value ="资源 url")
    private String menuUrl;
 
    @Column(name="MENU_CSS")
    @ApiParam(value ="资源css")
    private String menuCss;
 
    @Column(name="MENU_ICON")
    @ApiParam(value ="资源icon")
    private String menuIcon;
 
    @Column(name="MENU_STATUS")
    @ApiParam(value ="功能状态（1.正常，2.禁用）")
    private Integer menuStatus;

}
